//
//  LabelConst.h
//  Citizen_iOS_LabelZPL
//
//  Created by Citizen on 2018/04/09
//  Copyright 2018 Citizen. All rights reserved.
//

#ifndef LabelConst_h
#define LabelConst_h

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>


// ///////////////////////////////////////////////////////////////////
// ErrorCode Constants
// ///////////////////////////////////////////////////////////////////
#define CLS_SUCCESS                     0
#define CLS_E_CONNECTED                 1001
#define CLS_E_DISCONNECT                1002
#define CLS_E_NOTCONNECT                1003
#define CLS_E_CONNECT_NOTFOUND          1004
#define CLS_E_CONNECT_OFFLINE           1005
#define CLS_E_ILLEGAL                   1101
#define CLS_E_OFFLINE                   1102
#define CLS_E_NOEXIST                   1103
#define CLS_E_FAILURE                   1104
#define CLS_E_TIMEOUT                   1105
#define CLS_E_NO_LIST                   1106
#define CLS_EPTR_COVER_OPEN             1201
#define CLS_EPTR_REC_EMPTY              1202
#define CLS_EPTR_BADFORMAT              1203
#define CLS_EPTR_TOOBIG                 1204

#define CLS_PROPERTY_DEFAULT            999999 //プロパティ設定のデフォルト

// ///////////////////////////////////////////////////////////////////
// ConnectPort Constants
// ///////////////////////////////////////////////////////////////////
#define CLS_PORT_WiFi                   0
#define CLS_PORT_Bluetooth              1

// ///////////////////////////////////////////////////////////////////
// COM Properties Constants
// ///////////////////////////////////////////////////////////////////
#define CLS_COM_BAUDRATE_1200           1200
#define CLS_COM_BAUDRATE_2400           2400
#define CLS_COM_BAUDRATE_4800           4800
#define CLS_COM_BAUDRATE_9600           9600
#define CLS_COM_BAUDRATE_19200          19200
#define CLS_COM_BAUDRATE_38400          38400
#define CLS_COM_BAUDRATE_57600          57600
#define CLS_COM_BAUDRATE_115200         115200
#define CLS_COM_PARITY_NONE             0
#define CLS_COM_PARITY_ODD              1
#define CLS_COM_PARITY_EVEN             2
#define CLS_COM_HANDSHAKE_DTRDSR        0
#define CLS_COM_HANDSHAKE_XONXOFF       1


// ///////////////////////////////////////////////////////////////////
// StatusCode static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_STS_PRINTEROFF              128
//#define CMP_STS_MSR_READ 64        //未使用(CMP専用)
#define CLS_STS_PAPER_EMPTY             32
#define CLS_STS_COVER_OPEN              16
//#define CMP_STS_BATTERY_LOW 8        //未使用(CMP専用)
#define CLS_STS_PAPER_NEAREMPTY         4       //POSPrinter独自
#define CLS_STS_DRAWER_LEVEL_H          2       //POSPrinter独自
//#define CMP_STS_CPCL_BUSY 1        //未使用(CMP専用)
#define CLS_STS_NORMAL                  0

// ///////////////////////////////////////////////////////////////////
// "CommandInterpreterInAction,PaperError,RibbonEnd,BatchProcessing,Printing,Pause,WaitingForPeeling" Method: return Code static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_STS_NO          0
#define CLS_STS_YES         1

// ///////////////////////////////////////////////////////////////////
// "DrawTextPtrFont" Method: "locale" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_LOCALE_JP       0               // 日本モデル用ロケール
#define CLS_LOCALE_OTHER    1               // 海外モデル用ロケール
#define CLS_LOCALE_CN       2               // 中国モデル用ロケール (v1.01追加)
#define CLS_LOCALE_KR       3               // 韓国モデル用ロケール (v1.01追加)

// ///////////////////////////////////////////////////////////////////
// "DrawTextPtrFont" Method: "font" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_PRT_FNT_0 0                 // システムフォント：0
#define CLS_PRT_FNT_1 1                 // システムフォント：1
#define CLS_PRT_FNT_2 2                 // システムフォント：2
#define CLS_PRT_FNT_3 3                 // システムフォント：3
#define CLS_PRT_FNT_4 4                 // システムフォント：4
#define CLS_PRT_FNT_5 5                 // システムフォント：5
#define CLS_PRT_FNT_6 6                 // システムフォント：6
#define CLS_PRT_FNT_7 7                 // システムフォント：7
#define CLS_PRT_FNT_8 8                 // システムフォント：8
#define CLS_PRT_FNT_TRIUMVIRATE 9       // スムースフォント（Triumvirate）
#define CLS_PRT_FNT_TRIUMVIRATE_B 10    // スムースフォント（Triumvirate Bold）
#define CLS_PRT_FNT_KANJI 11            // 漢字（横書き）
#define CLS_PRT_FNT_KANJIT 12           // 漢字（縦書き）

// ///////////////////////////////////////////////////////////////////
// "DrawTextPtrFont" Method: "size" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_PRT_FNT_SIZE_4 0            // 文字種ポイント数（4pt）
#define CLS_PRT_FNT_SIZE_5 1            // 文字種ポイント数（5pt）
#define CLS_PRT_FNT_SIZE_6 2            // 文字種ポイント数（6pt）
#define CLS_PRT_FNT_SIZE_8 3            // 文字種ポイント数（8pt）
#define CLS_PRT_FNT_SIZE_10 4           // 文字種ポイント数（10pt）
#define CLS_PRT_FNT_SIZE_12 5           // 文字種ポイント数（12pt）
#define CLS_PRT_FNT_SIZE_14 6           // 文字種ポイント数（14pt）
#define CLS_PRT_FNT_SIZE_18 7           // 文字種ポイント数（18pt）
#define CLS_PRT_FNT_SIZE_24 8           // 文字種ポイント数（24pt）
#define CLS_PRT_FNT_SIZE_30 9           // 文字種ポイント数（30pt）
#define CLS_PRT_FNT_SIZE_36 10          // 文字種ポイント数（36pt）
#define CLS_PRT_FNT_SIZE_48 11          // 文字種ポイント数（48pt）
#define CLS_PRT_FNT_KANJI_SIZE_16 100   // 漢字文字種（16ドット）
#define CLS_PRT_FNT_KANJI_SIZE_24 101   // 漢字文字種（24ドット）
#define CLS_PRT_FNT_KANJI_SIZE_32 102   // 漢字文字種（32ドット）
#define CLS_PRT_FNT_KANJI_SIZE_48 103   // 漢字文字種（48ドット）

// ///////////////////////////////////////////////////////////////////
// "DrawTextDLFont" Method: "encoding" Parameter static finalants (v1.00 CSJ修正)
// ///////////////////////////////////////////////////////////////////
#define CLS_ENC_CDPG_DEFAULT 0                  // デフォルト
#define CLS_ENC_CDPG_IBM037 37                  // IBM037 IBM EBCDIC (米国 - カナダ)
#define CLS_ENC_CDPG_IBM437 437                 // IBM437 OEM 米国
#define CLS_ENC_CDPG_IBM500 500                 // IBM500 IBM EBCDIC (インターナショナル)
#define CLS_ENC_CDPG_IBM737 737                 // ibm737 ギリシャ語 (DOS)
#define CLS_ENC_CDPG_IBM775 775                 // ibm775 バルト言語 (DOS)
#define CLS_ENC_CDPG_IBM850 850                 // ibm850 西ヨーロッパ語 (DOS)
#define CLS_ENC_CDPG_IBM852 852                 // ibm852 中央ヨーロッパ言語 (DOS)
#define CLS_ENC_CDPG_IBM855 855                 // IBM855 OEM キリル語
#define CLS_ENC_CDPG_IBM857 857                 // ibm857 トルコ語 (DOS)
#define CLS_ENC_CDPG_IBM860 860                 // IBM860 ポルトガル語 (DOS)
#define CLS_ENC_CDPG_IBM861 861                 // ibm861 アイスランド語 (DOS)
#define CLS_ENC_CDPG_IBM863 863                 // IBM863 フランス語 (カナダ)(DOS)
#define CLS_ENC_CDPG_IBM865 865                 // IBM865 ノルウェー語 (DOS)
#define CLS_ENC_CDPG_CP866 866                  // cp866 キリル語 (DOS)
#define CLS_ENC_CDPG_IBM869 869                 // ibm869 ギリシャ語 モダン (DOS)
#define CLS_ENC_CDPG_WINDOWS_874 874            // windows-874 タイ語 (Windows)
#define CLS_ENC_CDPG_CP875 875                  // cp875 IBM EBCDIC (ギリシャ語 モダン)
#define CLS_ENC_CDPG_SHIFT_JIS 932              // shift_jis 日本語 (シフト JIS)
#define CLS_ENC_CDPG_GB2312 936                 // gb2312 簡体字中国語 (GB2312)
#define CLS_ENC_CDPG_KS_C_5601_1987 949         // ks_c_5601-1987 韓国語
#define CLS_ENC_CDPG_BIG5 950                   // big5 繁体字中国語 (Big5)
#define CLS_ENC_CDPG_IBM1026 1026               // IBM1026 IBM EBCDIC (トルコ語 Latin-5)
#define CLS_ENC_CDPG_UTF_16 1200                // utf-16 Unicode
#define CLS_ENC_CDPG_UNICODEFFFE 1201           // unicodeFFFE Unicode (Big-Endian)
#define CLS_ENC_CDPG_WINDOWS_1250 1250          // windows-1250 中央ヨーロッパ言語 (Windows)
#define CLS_ENC_CDPG_WINDOWS_1251 1251          // windows-1251 キリル語 (Windows)
#define CLS_ENC_CDPG_WINDOWS_1252 1252          // Windows-1252 西ヨーロッパ言語 (Windows)
#define CLS_ENC_CDPG_WINDOWS_1253 1253          // windows-1253 ギリシャ語 (Windows)
#define CLS_ENC_CDPG_WINDOWS_1254 1254          // windows-1254 トルコ語 (Windows)
#define CLS_ENC_CDPG_WINDOWS_1255 1255          // windows-1255 ヘブライ語 (Windows)
#define CLS_ENC_CDPG_WINDOWS_1256 1256          // windows-1256 アラビア語 (Windows)
#define CLS_ENC_CDPG_WINDOWS_1257 1257          // windows-1257 バルト語 (Windows)
#define CLS_ENC_CDPG_WINDOWS_1258 1258          // windows-1258 ベトナム語 (Windows)
#define CLS_ENC_CDPG_JOHAB 1361                 // Johab 韓国語 (Johab)
#define CLS_ENC_CDPG_MACINTOSH 10000            // macintosh 西ヨーロッパ言語 (Mac)
#define CLS_ENC_CDPG_X_MAC_JAPANESE 10001       // x-mac-japanese 日本語 (Mac)
#define CLS_ENC_CDPG_X_MAC_CHINESETRAD 10002    // x-mac-chinesetrad 繁体字中国語 (Mac)
#define CLS_ENC_CDPG_X_MAC_KOREAN 10003         // x-mac-korean 韓国語 (Mac)
#define CLS_ENC_CDPG_X_MAC_GREEK 10006          // x-mac-greek ギリシャ語 (Mac)
#define CLS_ENC_CDPG_X_MAC_CYRILLIC 10007       // x-mac-cyrillic キリル語 (Mac)
#define CLS_ENC_CDPG_X_MAC_CHINESESIMP 10008    // x-mac-chinesesimp 簡体字中国語 (Mac)
#define CLS_ENC_CDPG_X_MAC_ROMANIAN 10010       // x-mac-romanian ルーマニア語 (Mac)
#define CLS_ENC_CDPG_X_MAC_UKRAINIAN 10017      // x-mac-ukrainian ウクライナ語 (Mac)
#define CLS_ENC_CDPG_X_MAC_CE 10029             // x-mac-ce 中央ヨーロッパ語 (Mac)
#define CLS_ENC_CDPG_X_MAC_ICELANDIC 10079      // x-mac-icelandic アイスランド語 (Mac)
#define CLS_ENC_CDPG_X_MAC_TURKISH 10081        // x-mac-turkish トルコ語 (Mac)
#define CLS_ENC_CDPG_X_MAC_CROATIAN 10082       // x-mac-croatian クロアチア語 (Mac)
#define CLS_ENC_CDPG_X_CHINESE_CNS 20000        // x-Chinese-CNS 繁体字中国語 (CNS)
#define CLS_ENC_CDPG_US_ASCII 20127             // us-ascii US-ASCII
#define CLS_ENC_CDPG_X_CP20261 20261            // x-cp20261 T.61
#define CLS_ENC_CDPG_IBM290 20290               // IBM290 IBM EBCDIC (日本語カタカナ)
#define CLS_ENC_CDPG_KOI8_R 20866               // koi8-r キリル語 (KOI8-R)
#define CLS_ENC_CDPG_EUC_JP_JIS 20932           // EUC-JP 日本語 (JIS 0208-1990 and 0212-1990)
#define CLS_ENC_CDPG_X_CP20936 20936            // x-cp20936 簡体字中国語 (GB2312-80)
#define CLS_ENC_CDPG_X_CP20949 20949            // x-cp20949 韓国語 Wansung
#define CLS_ENC_CDPG_X_CP21027 21027            // x-cp21027 Ext Alpha Lowercase
#define CLS_ENC_CDPG_KOI8_U 21866               // koi8-u キリル語 (KOI8-R)
#define CLS_ENC_CDPG_ISO_8859_1 28591           // iso-8859-1 西ヨーロッパ言語 (ISO)
#define CLS_ENC_CDPG_ISO_8859_2 28592           // iso-8859-2 中央ヨーロッパ言語 (ISO)
#define CLS_ENC_CDPG_ISO_8859_4 28594           // iso-8859-4 バルト語 (ISO)
#define CLS_ENC_CDPG_ISO_8859_5 28595           // iso-8859-5 キリル語 (ISO)
#define CLS_ENC_CDPG_ISO_8859_7 28597           // iso-8859-7 ギリシャ語 (ISO)
#define CLS_ENC_CDPG_ISO_8859_9 28599           // iso-8859-9 トルコ語 (ISO)
#define CLS_ENC_CDPG_ISO_8859_13 28603          // iso-8859-13 エストニア語 (ISO)
#define CLS_ENC_CDPG_ISO_8859_15 28605          // iso-8859-15 ラテン語 9 (ISO)
#define CLS_ENC_CDPG_ISO_2022_JP 50220          // iso-2022-jp 日本語 (JIS)
#define CLS_ENC_CDPG_CSISO2022JP 50221          // csISO2022JP 日本語 (JIS-Allow 1 byte Kana)
#define CLS_ENC_CDPG_ISO_2022_JP_S 50222        // iso-2022-jp 日本語 (JIS-Allow 1 byte Kana - SO/SI)
#define CLS_ENC_CDPG_ISO_2022_KR 50225          // iso-2022-kr 韓国語 (ISO)
#define CLS_ENC_CDPG_X_CP50227 50227            // x-cp50227 簡体字中国語 (ISO-2022)
#define CLS_ENC_CDPG_EUC_JP 51932               // euc-jp 日本語 (EUC)
#define CLS_ENC_CDPG_EUC_CN 51936               // EUC-CN 簡体字中国語 (EUC)
#define CLS_ENC_CDPG_EUC_KR 51949               // euc-kr 韓国語 (EUC)
#define CLS_ENC_CDPG_HZ_GB_2312 52936           // hz-gb-2312 簡体字中国語 (HZ)
#define CLS_ENC_CDPG_GB18030 54936              // GB18030 簡体字中国語 (GB18030)
#define CLS_ENC_CDPG_UTF_7 65000                // utf-7 Unicode (UTF-7)
#define CLS_ENC_CDPG_UTF_8 65001                // utf-8 Unicode (UTF-8)

// ///////////////////////////////////////////////////////////////////
// "DrawTextPCFont" Method: "resolution" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_PRT_RES_203 203                     // プリンター解像度（203dpi）
#define CLS_PRT_RES_300 300                     // プリンター解像度（300dip）

// ///////////////////////////////////////////////////////////////////
// "Font" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_FNT_DEFAULT 0
//#define CLS_FNT_FONTB 1
//#define CLS_FNT_FONTC 2
#define CLS_FNT_BOLD 8
#define CLS_FNT_REVERSE 16
#define CLS_FNT_UNDERLINE 128
#define CLS_FNT_ITALIC 256          // DrawTextPCFont用
#define CLS_FNT_STRIKEOUT 512       // DrawTextPCFont用

// ///////////////////////////////////////////////////////////////////
// "rotation" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_RT_NORMAL 1
#define CLS_RT_RIGHT90 2
#define CLS_RT_ROTATE180 3
#define CLS_RT_LEFT90 4

// ///////////////////////////////////////////////////////////////////
// "DrawBitmap" Method: "width" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_BM_ASIS -11

// ///////////////////////////////////////////////////////////////////
// "DrawBarCode" Method: "symbology" Parameter static finalants (v1.00 CSJ修正)
// ///////////////////////////////////////////////////////////////////
#define CLS_BCS_CODE39 100                  // font:A
#define CLS_BCS_UPCA 101                    // font:B
#define CLS_BCS_UPCE 102                    // font:C
#define CLS_BCS_INTERLEAVED25 103           // font:D
#define CLS_BCS_CODE128 104                 // font:E
#define CLS_BCS_EAN13 105                   // font:F
#define CLS_BCS_EAN8 106                    // font:G
#define CLS_BCS_HIBC 107                    // font:H
#define CLS_BCS_CODABAR 108                 // font:I
#define CLS_BCS_INT25 109                   // font:J
#define CLS_BCS_PLESSEY 110                 // font:K
#define CLS_BCS_CASECODE 111                // font:L
#define CLS_BCS_UPC2DIG 112                 // font:M
#define CLS_BCS_UPC5DIG 113                 // font:N
#define CLS_BCS_CODE93 114                  // font:O
#define CLS_BCS_ITF14 115                   // font:P（国内モデル）
#define CLS_BCS_ZIP 116                     // font:P（海外モデル）
#define CLS_BCS_ITF16 117                   // font:Q（国内モデル）
#define CLS_BCS_UCCEAN128 118               // font:Q（海外モデル）
#define CLS_BCS_INDUSTRIAL25 119            // font:R（国内モデル）
#define CLS_BCS_UCCEAN128KMART 120          // font:R（海外モデル）
#define CLS_BCS_COOP25 121                  // font:S（国内モデル）
#define CLS_BCS_UCCEAN128RANDOMWEIGHT 122   // font:S（海外モデル）
#define CLS_BCS_TELEPEN 123                 // font:T

// ///////////////////////////////////////////////////////////////////
// "DrawBarCode" Method: "showText" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_BCS_TEXT_HIDE 0
#define CLS_BCS_TEXT_SHOW 1

// ///////////////////////////////////////////////////////////////////
// "DrawDataMatrix" Method: "ECLevel" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
//#define CLS_DATAMATRIX_EC_LEVEL_000 0
//#define CLS_DATAMATRIX_EC_LEVEL_050 50
//#define CLS_DATAMATRIX_EC_LEVEL_080 80
//#define CLS_DATAMATRIX_EC_LEVEL_100 100
//#define CLS_DATAMATRIX_EC_LEVEL_140 140
#define CLS_DATAMATRIX_EC_LEVEL_200 200

// ///////////////////////////////////////////////////////////////////
// "DrawPDF41" Method: "ECLevel" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_PDF417_EC_LEVEL_0 0
#define CLS_PDF417_EC_LEVEL_1 1
#define CLS_PDF417_EC_LEVEL_2 2
#define CLS_PDF417_EC_LEVEL_3 3
#define CLS_PDF417_EC_LEVEL_4 4
#define CLS_PDF417_EC_LEVEL_5 5
#define CLS_PDF417_EC_LEVEL_6 6
#define CLS_PDF417_EC_LEVEL_7 7
#define CLS_PDF417_EC_LEVEL_8 8

// ///////////////////////////////////////////////////////////////////
// "DrawQRCode" Method: "ECLevel" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_QRCODE_EC_LEVEL_L 0  //LabelPrinterSDK s2 Add
#define CLS_QRCODE_EC_LEVEL_M 1
#define CLS_QRCODE_EC_LEVEL_Q 2  //LabelPrinterSDK s2 Add
#define CLS_QRCODE_EC_LEVEL_H 3  //LabelPrinterSDK s2 Add

// ///////////////////////////////////////////////////////////////////
// "DrawAztec" Method: "ECLevel" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_AXTEC_EC_LEVEL_000 0
//#define CLS_AXTEC_EC_LEVEL_001 1
//#define CLS_AXTEC_EC_LEVEL_101 101
//#define CLS_AXTEC_EC_LEVEL_201 201
//#define CLS_AXTEC_EC_LEVEL_300 300

//LabelPrinterSDK s2 Add Start
// ///////////////////////////////////////////////////////////////////
// "DrawGS1DataBar" Method: "type" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_GS1_DATABAR_OMNI_DIRECTIONAL 0
#define CLS_GS1_DATABAR_COMPOSITE 1
#define CLS_GS1_DATABAR_TRUNCATION 2
#define CLS_GS1_DATABAR_STACKED 3
#define CLS_GS1_DATABAR_STACKED_OMNI_DIRECTIONAL 4
#define CLS_GS1_DATABAR_LIMITED 5
#define CLS_GS1_DATABAR_EXPANDED 6
//LabelPrinterSDK s2 Add End

// ///////////////////////////////////////////////////////////////////
// "pattern" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_SHADED_PTN_0 0
#define CLS_SHADED_PTN_1 1
#define CLS_SHADED_PTN_2 2
#define CLS_SHADED_PTN_3 3
#define CLS_SHADED_PTN_4 4
#define CLS_SHADED_PTN_5 5
#define CLS_SHADED_PTN_6 6
#define CLS_SHADED_PTN_7 7
#define CLS_SHADED_PTN_8 8
#define CLS_SHADED_PTN_9 9
#define CLS_SHADED_PTN_10 10
#define CLS_SHADED_PTN_11 11

// ///////////////////////////////////////////////////////////////////
// "measurementUnit" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_UNIT_MILLI 0                    // 単位（ミリ）
#define CLS_UNIT_INCH 1                     // 単位（インチ）

// ///////////////////////////////////////////////////////////////////
// "xxxSpeed" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_SPEEDSETTING_1 1                // 1：1.0ｲﾝﾁ( 25.4ｍｍ)／秒
#define CLS_SPEEDSETTING_2 2                // 2：2.0ｲﾝﾁ( 50.8ｍｍ)／秒
#define CLS_SPEEDSETTING_3 3                // 3：3.0ｲﾝﾁ( 76.2ｍｍ)／秒
#define CLS_SPEEDSETTING_4 4                // 4：4.0ｲﾝﾁ(101.6ｍｍ)／秒
#define CLS_SPEEDSETTING_5 5                // 5：5.0ｲﾝﾁ(127.0ｍｍ)／秒
#define CLS_SPEEDSETTING_6 6                // 6：6.0ｲﾝﾁ(152.4ｍｍ)／秒
#define CLS_SPEEDSETTING_7 7                // 7：7.0ｲﾝﾁ(177.8ｍｍ)／秒
#define CLS_SPEEDSETTING_8 8                // 8：8.0ｲﾝﾁ(203.2ｍｍ)／秒
#define CLS_SPEEDSETTING_9 9                // 9：9.0ｲﾝﾁ(228.6ｍｍ)／秒
#define CLS_SPEEDSETTING_A 10               // A：1.0ｲﾝﾁ( 25.4ｍｍ)／秒
#define CLS_SPEEDSETTING_B 11               // B：1.0ｲﾝﾁ( 25.4ｍｍ)／秒
#define CLS_SPEEDSETTING_C 12               // C：2.0ｲﾝﾁ( 50.8ｍｍ)／秒
#define CLS_SPEEDSETTING_D 13               // D：2.0ｲﾝﾁ( 50.8ｍｍ)／秒
#define CLS_SPEEDSETTING_E 14               // E：3.0ｲﾝﾁ( 76.2ｍｍ)／秒
#define CLS_SPEEDSETTING_F 15               // F：3.0ｲﾝﾁ( 76.2ｍｍ)／秒
#define CLS_SPEEDSETTING_G 16               // G：4.0ｲﾝﾁ(101.6ｍｍ)／秒
#define CLS_SPEEDSETTING_H 17               // H：4.0ｲﾝﾁ(101.6ｍｍ)／秒
#define CLS_SPEEDSETTING_I 18               // I：5.0ｲﾝﾁ(127.0ｍｍ)／秒
#define CLS_SPEEDSETTING_J 19               // J：5.0ｲﾝﾁ(127.0ｍｍ)／秒
#define CLS_SPEEDSETTING_K 20               // K：6.0ｲﾝﾁ(152.4ｍｍ)／秒
#define CLS_SPEEDSETTING_L 21               // L：6.0ｲﾝﾁ(152.4ｍｍ)／秒
#define CLS_SPEEDSETTING_M 22               // M：7.0ｲﾝﾁ(177.8ｍｍ)／秒
#define CLS_SPEEDSETTING_N 23               // N：7.0ｲﾝﾁ(177.8ｍｍ)／秒
#define CLS_SPEEDSETTING_O 24               // O：8.0ｲﾝﾁ(203.2ｍｍ)／秒
#define CLS_SPEEDSETTING_P 25               // P：8.0ｲﾝﾁ(203.2ｍｍ)／秒
#define CLS_SPEEDSETTING_Q 26               // Q：9.0ｲﾝﾁ(228.6ｍｍ)／秒
#define CLS_SPEEDSETTING_R 27               // R：9.0ｲﾝﾁ(228.6ｍｍ)／秒
#define CLS_SPEEDSETTING_S 28               // S：10.0ｲﾝﾁ(254.0ｍｍ)／秒
#define CLS_SPEEDSETTING_T 29               // T：10.0ｲﾝﾁ(254.0ｍｍ)／秒
#define CLS_SPEEDSETTING_U 30               // U：11.0ｲﾝﾁ(279.4ｍｍ)／秒
#define CLS_SPEEDSETTING_V 31               // V：11.0ｲﾝﾁ(279.4ｍｍ)／秒
#define CLS_SPEEDSETTING_W 32               // W：12.0ｲﾝﾁ(304.8ｍｍ)／秒
#define CLS_SPEEDSETTING_X 33               // X：12.0ｲﾝﾁ(304.8ｍｍ)／秒

// ///////////////////////////////////////////////////////////////////
// "mediaHandling" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_MEDIAHANDLING_NONE 0            // なし
#define CLS_MEDIAHANDLING_TEAROFF 1         // ティアオフ
#define CLS_MEDIAHANDLING_DISPENSES 2       //
#define CLS_MEDIAHANDLING_PAUSE 3           // ポーズ
#define CLS_MEDIAHANDLING_CUT 4             // カット
#define CLS_MEDIAHANDLING_CUTANDPAUSE 5     // カット、ポーズ
#define CLS_MEDIAHANDLING_PEELOFF 6         // 剥離
#define CLS_MEDIAHANDLING_REWIND 7          // リワインダー

// ///////////////////////////////////////////////////////////////////
// "labelSensor" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_SELSENSOR_NONE 0                // なし
#define CLS_SELSENSOR_SEETHROUGH 1          // 透過
#define CLS_SELSENSOR_REFLECT 2             // 反射

// ///////////////////////////////////////////////////////////////////
// "printMethod" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_PRTMETHOD_TT 0                  // T（熱転写）
#define CLS_PRTMETHOD_DT 1                  // D（感熱）

// ///////////////////////////////////////////////////////////////////
// "sensorLocation" Parameter static finalants
// ///////////////////////////////////////////////////////////////////
#define CLS_SENS_LOCATION_FRONT 0           // フロントセンサ
#define CLS_SENS_LOCATION_ADJUSTABLE 1      // アジャスタブルセンサ


#endif /* LabelConst_h */
